org.keycloak.models.mongo.keycloak.adapters

## Class MongoKeycloakSessionFactory

- java.lang.Object
- - org.keycloak.models.mongo.keycloak.adapters.MongoKeycloakSessionFactory

- All Implemented Interfaces:
    KeycloakSessionFactory, ProviderFactory<KeycloakSession>

      public class MongoKeycloakSessionFactory
      extends Object
      implements KeycloakSessionFactory

  KeycloakSessionFactory implementation based on MongoDB
  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoKeycloakSessionFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `KeycloakSession` | `create(ProviderSession providerSession)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### MongoKeycloakSessionFactory

          public MongoKeycloakSessionFactory()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<KeycloakSession>`

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<KeycloakSession>`

    - #### create

          public KeycloakSession create(ProviderSession providerSession)

      Specified by:
        `create` in interface `KeycloakSessionFactory`
      Specified by:
        `create` in interface `ProviderFactory<KeycloakSession>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `KeycloakSessionFactory`
      Specified by:
        `close` in interface `ProviderFactory<KeycloakSession>`

Copyright © 2014. All Rights Reserved.